gtkhtml-sharp 2.12.0.0 3.16.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Layout Lightweight HTML rendering widget.

is a lightweight HTML rendering widget, as well as as simple graphical HTML editor.

Developers can also use it as a widget container (). It is an easy way for viewing HTML documents in your application and for layout UI of your application throught HTML.

does not have support for CSS or JavaScript.

The following sample is a very minimal web browser.

`using System; using System.Net; using System.IO; using Gtk; namespace HtmlTest { class HtmlTest { HTML html; Entry entry; string currentUrl; static void Main (string[] args) { new HtmlTest(); } HtmlTest() { Application.Init (); Window win = new Window ("HtmlTest"); win.SetDefaultSize (800, 600); win.DeleteEvent += new DeleteEventHandler (OnWindowDelete); VBox vbox = new VBox (false, 1); win.Add (vbox); HBox hbox = new HBox (false, 1); Label label = new Label ("Address:"); entry = new Entry (""); entry.Activated += new EventHandler (OnEntryActivated); Button button = new Button ("Go!"); button.Clicked += new EventHandler (OnButtonClicked); hbox.PackStart (label, false, false, 1); hbox.PackStart (entry, true, true, 1); hbox.PackStart (button, false, false, 1); vbox.PackStart (hbox, false, false, 1); ScrolledWindow sw = new ScrolledWindow (); sw.VscrollbarPolicy = PolicyType.Always; sw.HscrollbarPolicy = PolicyType.Always; vbox.PackStart(sw, true, true, 1); html = new HTML (); html.LinkClicked += new LinkClickedHandler (OnLinkClicked); sw.Add (html); win.ShowAll(); Application.Run (); } void OnWindowDelete (object obj, DeleteEventArgs args) { Application.Quit(); } void OnButtonClicked (object obj, EventArgs args) { currentUrl = entry.Text.Trim(); LoadHtml (currentUrl); } void OnEntryActivated (object obj, EventArgs args) { OnButtonClicked (obj, args); } void OnLinkClicked (object obj, LinkClickedArgs args) { string newUrl; // decide absolute or relative if (args.Url.StartsWith("http://")) newUrl = args.Url; else newUrl = currentUrl + args.Url; try { LoadHtml (newUrl); } catch { } currentUrl = newUrl; } void LoadHtml (string URL) { HttpWebRequest web_request = (HttpWebRequest) WebRequest.Create (URL); HttpWebResponse web_response = (HttpWebResponse) web_request.GetResponse (); Stream stream = web_response.GetResponseStream (); byte [] buffer = new byte [8192]; HTMLStream html_stream = html.Begin (); int count; while ((count = stream.Read (buffer, 0, 8192)) != 0){ html_stream.Write (buffer, count); } html.End (html_stream, HTMLStreamStatus.Ok); } } }`

- Constructor
  3.16.0.0
  Creates an empty widget.

  It creates an empty widget. The returned widget is empty, and defaults to not be editable.

- Constructor
  3.16.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  3.16.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  3.16.0.0
  an object of type (FIXME: check this)
  A constructor.
- Property
  3.16.0.0
  System.Boolean Whether to allow framesets in this widget. an object of type
- Method
  3.16.0.0
  System.Void `` an object of type , true if selection is allowed. Set whether selection is allowed in this widget.
- Property
  3.16.0.0
  System.Boolean To be added a
- Method
  3.16.0.0
  System.Void `` an object of type Adds HTML to the end of the HTML currently being rendered by the widget.
- Property
  3.16.0.0
  System.String The base URL of this document. an object of type
- Method
  3.16.0.0
  Gtk.HTMLStream Starts incremental content updating. A handle to push content.

  Use the Begin method to push new HTML content into the widget. The content type is expected to be in the format defined by , which by default is "html/text; charset=utf-8".

  `using System; using Gtk; class X { static void Main () { Application.Init (); Window w = new Window ("Sample"); HTML html = new HTML (); w.Add (html); w.ShowAll (); HTMLStream s = html.Begin (); string line; while ((line = Console.ReadLine ()) != null) s.Write (line); html.End (s, HTMLStreamStatus.Ok); Application.Run (); } }`

  Compile and run:

  mcs sample.cs -pkg:gtkhtml-sharp

  echo "<html> <body>Hello <b>World</b></body> </html>" | mono sample.exe

- Method
  3.16.0.0
  Gtk.HTMLStream `` The content type for the data to be streamed. Starts incremental content updating. With a specific content type. A handle to push content.

  Use the Begin method to push new HTML content into the widget. The content type has to be specified (like this for example: "html/text; charset=utf-8").

  `using System; using Gtk; class X { static void Main () { Application.Init (); Window w = new Window ("Sample"); HTML html = new HTML (); w.Add (html); w.ShowAll (); HTMLStream s = html.Begin ("text/html; charset=utf-8"); string line; while ((line = Console.ReadLine ()) != null) s.Write (line); html.End (s, HTMLStreamStatus.Ok); Application.Run (); } }`

  Compile and run:

  mcs sample.cs -pkg:gtkhtml-sharp

  echo "<html> <body>Hello <b>World</b></body> </html>" | mono sample.exe

- Method
  3.16.0.0
  Gtk.HTMLStream `` `` `` an object of type an object of type an object of type Begins processing HTML. an object of type
- Property
  3.16.0.0
  System.Boolean To be added an object of type
- Property
  3.16.0.0
  System.String To be added. To be added. To be added.
- Property
  3.16.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  3.16.0.0
  System.Boolean `` an object of type , one of the values named in . Execute a command on the widget. an object of type for whether the command succeeded.
- Method
  3.16.0.0
  System.Void To be added. To be added.
- Method
  System.Void `` Constructs an instance of a Gtk.HTML widget A derivative object. This is a low-level routine, and should only be used to initialize an instance of a derivative class.
- Method
  3.16.0.0
  System.Void Copies the selection to the clipboard. Copies the selection into the clipboard.
- Event
  3.16.0.0
  GLib.Signal("current_paragraph_alignment_changed")
  Gtk.CurrentParagraphAlignmentChangedHandler Raised when the alignment of the current paragraph is changed.
- Event
  3.16.0.0
  GLib.Signal("current_paragraph_indentation_changed")
  Gtk.CurrentParagraphIndentationChangedHandler Raised when the indent level of the current paragraph is changed.
- Event
  3.16.0.0
  GLib.Signal("current_paragraph_style_changed")
  Gtk.CurrentParagraphStyleChangedHandler Raised when the text style of this paragraph is changed.
- Event
  3.16.0.0
  GLib.Signal("cursor_changed")
  System.EventHandler To be added. To be added.
- Property
  3.16.0.0
  System.String To be added. To be added. To be added.
- Event
  3.16.0.0
  GLib.Signal("cursor_move")
  Gtk.CursorMoveHandler Occurs when the cursor moves. This event is raised when the widget is in editing mode and the cursor has moved.
- Property
  3.16.0.0
  System.String To be added. To be added. To be added.
- Method
  3.16.0.0
  System.Void Cuts the selection into the clipboard. If the widget is editable, this cuts the selection into the clipboard; Otherwise it just copies the selection into the clipboard.
- Property
  3.16.0.0
  System.String The default content type. an object of type
- Property
  3.16.0.0
  GLib.Property("document_base")
  System.String The base URL of the document. A containing the URL.
- Method
  3.16.0.0
  System.Void To be added. To be added.
- Method
  3.16.0.0
  System.Void Drops all the undo information. Drops all the Undo and Redo information from the widget.
- Property
  3.16.0.0
  GLib.Property("editable")
  System.Boolean Whether the contents can be edited. if the contents are editable, otherwise. Whether this instance can be used as an HTML editor. Note: must be called before this can be set = .
- Method
  3.16.0.0
  System.Boolean Makes the edit cursor visible. a , true if the operation was a success.
- Method
  3.16.0.0
  System.Void `` an object of type , true for enabled, false for disabled Enables or disables debugging features.
- Method
  3.16.0.0
  System.Void `` `` The to close. The representing the state of the stream when closed. Ends incremental updating

  Closes the represented by and notifies the HTML widget that it should not expect any more content from that stream.

  `using System; using Gtk; class X { static void Main () { Application.Init (); Window w = new Window ("Sample"); HTML html = new HTML (); w.Add (html); w.ShowAll (); HTMLStream s = html.Begin (); string line; while ((line = Console.ReadLine ()) != null) s.Write (line); html.End (s, HTMLStreamStatus.Ok); Application.Run (); } }`

  Compile and run:

  mcs sample.cs -pkg:gtkhtml-sharp

  echo "<html> <body>Hello <b>World</b></body> </html>" | mono sample.exe

- Method
  3.16.0.0
  System.Boolean `` `` a , a content type. an object of type Sends HTML out from the widget. a , true if the export happened successfully, false if otherwise.
- Method
  3.16.0.0
  System.Void To be added. To be added.
- Method
  3.16.0.0
  System.String `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  3.16.0.0
  System.IntPtr `` The id assigned to an object in the HTML stream Locates an object whose id is provided An IntPtr to the internal HTMLObject
- Method
  3.16.0.0
  System.String `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  3.16.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  3.16.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  3.16.0.0
  System.String `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  3.16.0.0
  System.String `` The new component of the url. Computes url from widget base url. The new base-relative url.
- Property
  3.16.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  3.16.0.0
  System.Boolean Whether the widget has an Undo option or not. a
- Event
  3.16.0.0
  GLib.Signal("iframe_created")
  Gtk.IframeCreatedHandler Raised after an IFRAME is created.
- Method
  3.16.0.0
  System.Void `` a , an image URL. Preloads the image at the URL
- Method
  3.16.0.0
  System.Void `` an object of type Refs an image.
- Property
  3.16.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  3.16.0.0
  System.Void Sets up internal references to all images. FIXME: verify this.
- Method
  3.16.0.0
  System.Void Unrefs images.
- Method
  3.16.0.0
  System.Void `` an object of type Unrefs an image. (TODO: explain refcounting for images.)
- Property
  3.16.0.0
  System.IntPtr Sets the indentation level for the widget. a
- Method
  3.16.0.0
  System.Void Removes an indent level.
- Property
  3.16.0.0
  System.Boolean Whether or not to check spelling inline by indicating misspelled words. a
- Method
  3.16.0.0
  System.Void `` an object of type To be added.
- Method
  3.16.0.0
  System.Void `` an object of type Inserts HTML into the existing HTML of the widget.
- Event
  3.16.0.0
  GLib.Signal("insertion_color_changed")
  Gtk.InsertionColorChangedHandler Raised when the text color to insert is changed.
- Event
  3.16.0.0
  GLib.Signal("insertion_font_style_changed")
  Gtk.InsertionFontStyleChangedHandler Raised when the font style under the cursor is changed.
- Method
  3.16.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  3.16.0.0
  System.Boolean `` The anchor to locate. Jumps to an anchor by name, making it visible. if the anchor is found. Scroll the document display to show the HTML anchor requested.
- Event
  3.16.0.0
  GLib.Signal("link_clicked")
  Gtk.LinkClickedHandler Occurs when the user clicks on a hyperlink

  This event is raised when the user clicks on a hyperlink in the HTML widget.

  `using System; using System.IO; using Gtk; class X { static void Main () { Application.Init (); Window w = new Window ("Sample"); HTML html = new HTML ("<html><body>Click <a href=\"http://www.go-mono.com\">me</a>"); html.LinkClicked += new LinkClickedHandler (OnLinkClicked); w.Add (html); w.ShowAll (); Application.Run (); } static void OnLinkClicked (object o, LinkClickedArgs args) { Console.WriteLine ("The link clicked url is: " + args.Url); } }`

  mcs sample.cs -pkg:gtkhtml-sharp

  mono sample.exe

  Click on the "me" link to see the message on the console.

- Event
  3.16.0.0
  GLib.Signal("load_done")
  System.EventHandler Raised after a webpage is finished loading.
- Method
  3.16.0.0
  System.Void Set up an empty widget.
- Method
  3.16.0.0
  System.Void `` The string to load. Load a string into the HTML viewing widget.
- Property
  3.16.0.0
  System.Boolean Whether magic links (auto-recognizing URLs and making them clickable) is activated. a
- Property
  3.16.0.0
  System.Boolean Whether magic smileys (automatically recognizing smileys and turning them into small graphics) is activated. a
- Property
  3.16.0.0
  System.Double The current widget magnification level. an object of type
- Event
  3.16.0.0
  GLib.Signal("object_delete")
  Gtk.ObjectDeleteHandler To be added. To be added.
- Event
  3.16.0.0
  GLib.Signal("object_inserted")
  Gtk.ObjectInsertedHandler To be added. To be added.
- Event
  3.16.0.0
  GLib.Signal("object_requested")
  Gtk.ObjectRequestedHandler To be added
- Event
  3.16.0.0
  GLib.Signal("command")
  Gtk.OnCommandHandler Raised when a command is issued to the widget.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCurrentParagraphAlignmentChanged", Type=typeof(Gtk.HTML))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCurrentParagraphIndentationChanged", Type=typeof(Gtk.HTML))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCurrentParagraphStyleChanged", Type=typeof(Gtk.HTML))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCursorChanged", Type=typeof(Gtk.HTML))
  System.Void To be added. To be added.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCursorMove", Type=typeof(Gtk.HTML))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideIframeCreated", Type=typeof(Gtk.HTML))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideInsertionColorChanged", Type=typeof(Gtk.HTML))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideInsertionFontStyleChanged", Type=typeof(Gtk.HTML))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideLinkClicked", Type=typeof(Gtk.HTML))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideLoadDone", Type=typeof(Gtk.HTML))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideObjectDelete", Type=typeof(Gtk.HTML))
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideObjectInserted", Type=typeof(Gtk.HTML))
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideObjectRequested", Type=typeof(Gtk.HTML))
  System.Boolean `` a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideOnCommand", Type=typeof(Gtk.HTML))
  System.Boolean `` a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideOnUrl", Type=typeof(Gtk.HTML))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRedirect", Type=typeof(Gtk.HTML))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideScroll", Type=typeof(Gtk.HTML))
  System.Void `` `` `` a a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSetBase", Type=typeof(Gtk.HTML))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSetBaseTarget", Type=typeof(Gtk.HTML))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSizeChanged", Type=typeof(Gtk.HTML))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSubmit", Type=typeof(Gtk.HTML))
  System.Void `` `` `` a a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTitleChanged", Type=typeof(Gtk.HTML))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Event
  3.16.0.0
  GLib.Signal("on_url")
  Gtk.OnUrlHandler Occurs when the user hovers over a hyper-link.

  This event is raised when the mouse pointer hovers over a hyper link or leaves a link. In the former case the value of is the link target, and in the later the empty string.

  `using System; using System.IO; using Gtk; class X { static void Main () { Application.Init (); Window w = new Window ("Sample"); HTML html = new HTML ("<html><body>Click <a href=\"http://www.go-mono.com\">me</a>"); html.OnUrl += new OnUrlHandler (OnUrl); w.Add (html); w.ShowAll (); Application.Run (); } static void OnUrl (object o, OnUrlArgs args) { Console.WriteLine ("The mouse is over: " + args.Url); } }`

  mcs sample.cs -pkg:gtkhtml-sharp

  mono sample.exe

  Hover in and out of the link to see the effects on the console.

- Method
  3.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideUrlRequested", Type=typeof(Gtk.HTML))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  3.16.0.0
  Gtk.HTMLParagraphAlignment The alignment of text (right, left, center) an object of type
- Property
  3.16.0.0
  System.UInt32 The indentation level of a paragraph. an object of type
- Property
  3.16.0.0
  Gtk.HTMLParagraphStyle The style of a paragraph. an object of type
- Method
  3.16.0.0
  System.Void `` Whether to paste as a citation. Paste clipboard contents into editor If the widget is in editing mode (see ), the contents of the clipboard are pasted into the HTML editor. If the value of is true, then the contents are pasted as a citation.
- Method
  System.Void `` Prints this document using . a
- Method
  System.Int32 `` `` `` Gets the number of pages this HTML would print to given a context with the given header and footer heights. a a a a
- Method
  3.16.0.0
  Gtk.PrintOperationResult `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  3.16.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  3.16.0.0
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  3.16.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` To be added a
- Method
  System.Void `` `` `` `` `` Adds a header and footer to the HTML and prints it using . a a a a , a header generation routine a , a footer generation routine
- Event
  3.16.0.0
  GLib.Signal("redirect")
  Gtk.RedirectHandler Raised when an HTTP redirect is received.
- Method
  3.16.0.0
  System.Void Redoes the last Undone operation If the widget is editable, this redoes the last undone operation.
- Method
  3.16.0.0
  System.Int32 `` `` `` `` an object of type an object of type an object of type an object of type To be added an object of type
- Method
  3.16.0.0
  System.Boolean `` a Invokes a delegate function to save the HTML. an object of type , whether the operation succeeded.
- Event
  3.16.0.0
  GLib.Signal("scroll")
  Gtk.ScrollHandler Raised when the widget is scrolled.
- Method
  3.16.0.0
  System.Boolean `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  3.16.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  3.16.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  3.16.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  3.16.0.0
  System.Void Selects all the contents. Selects all of the contents of the HTML widget.
- Method
  3.16.0.0
  System.Void Selects the line the cursor is currently on.
- Method
  3.16.0.0
  System.Void Selects a paragraph.
- Method
  3.16.0.0
  System.Void To be added
- Method
  3.16.0.0
  System.Void Selects the word under the cursor. This routine selects the word under the cursor.
- Event
  3.16.0.0
  GLib.Signal("set_base")
  Gtk.SetBaseHandler Raised when the base URL of the document is changed.
- Event
  3.16.0.0
  GLib.Signal("set_base_target")
  Gtk.SetBaseTargetHandler Raised when the base URL target is changed.
- Method
  3.16.0.0
  System.Void `` `` an object of type an object of type Unsupported in Gtk#. Installs hooks for the editor. This API is currently not supported.
- Method
  3.16.0.0
  System.Void `` `` an object of type an object of type Sets the font style for the widget.
- Event
  3.16.0.0
  GLib.Signal("size_changed")
  System.EventHandler Raised when the size of text is changed.
- Method
  3.16.0.0
  System.Void To be added. To be added.
- Event
  3.16.0.0
  GLib.Signal("submit")
  Gtk.SubmitHandler Raised when a form submit button is clicked.
- Property
  3.16.0.0
  GLib.Property("target_base")
  System.String To be added an object of type
- Property
  3.16.0.0
  GLib.Property("title")
  System.String The title of this HTML document. an object of type
- Event
  3.16.0.0
  GLib.Signal("title_changed")
  Gtk.TitleChangedHandler Occurs when the title changes in HTML This event is raised when the HTML parser encounters the <title> tag on the HTML stream. To get the title, use the property.
- Method
  3.16.0.0
  System.Void `` a Changes the font style by adjusting flags from bold to regular or vice-versa. For a full list of possible flags, see .
- Property
  3.16.0.0
  Gtk.HTML To be added. To be added. To be added.
- Method
  3.16.0.0
  System.Void Undoes the last operation. If the widget is Editable, this undoes the last operation.
- Method
  3.16.0.0
  System.Void This method is designed to be called after the style, indentation, or other font attributes of an editable HTML widget have changed. When this is called, it will trigger the emission of signals for paragraphs whose indentation or style has changed.
- Event
  3.16.0.0
  GLib.Signal("url_requested")
  Gtk.UrlRequestedHandler Occurs when a url is Requested

  This event is raised when an URL is requested (typically an image).

  The following example shows how a simple HTML source that requests an image (hello.png). If the file is found, then it will be streamed into the HTML widget. The model allows for data to be delivered as it comes, and when the data has all arrived, the End method can be invoked on the html stream provided by the .

  `using System; using System.IO; using Gtk; class X { static void Main () { Application.Init (); Window w = new Window ("Sample"); HTML html = new HTML (); html.UrlRequested += new UrlRequestedHandler (LoadFromDisk); w.Add (html); w.ShowAll (); HTMLStream s = html.Begin (); s.Write ("<html><body>My image: <img src=\"hello.png\"></body></html>"); html.End (s, HTMLStreamStatus.Ok); Application.Run (); } static void LoadFromDisk (object sender, UrlRequestedArgs args) { try { FileStream s = File.OpenRead (args.Url); byte [] buffer = new byte [8192]; int n; while ((n = s.Read (buffer, 0, 8192)) != 0) { args.Handle.Write (buffer, n); } args.Handle.Close (HTMLStreamStatus.Ok); } catch { // Ignore errors. } } }`

  Make sure there is a "hello.png" file in your directory to see it, otherwise the sample will show the "broken image link" image.

  mcs sample.cs -pkg:gtkhtml-sharp

  mono sample.exe

- Method
  3.16.0.0
  System.Void `` `` `` a a a Writes bytes of content from to . Use the overload with ulong size for 64 bit deployments.
- Method
  3.16.0.0
  System.Void `` `` `` a a a Writes bytes of content from to .
- Method
  3.16.0.0
  System.Void Zooms in. Zooms in the view.
- Method
  3.16.0.0
  System.Void Zooms out. Zooms out the view.
- Method
  3.16.0.0
  System.Void Resets the magnification of the text to 100% (normal).